Package org.gradle.api.invocation

# Interface BuildInvocationDetails

@ServiceScope(org.gradle.internal.service.scopes.Scope.Build.class) public interface BuildInvocationDetails
Provides some useful information about the build invocation that triggered this build.

An instance of the type can be injected into a task or plugin by annotating a public constructor or method with `javax.inject.Inject`.

     public class MyPlugin implements Plugin<Project> {
         // injection into a constructor
         @javax.inject.Inject
         public MyPlugin(BuildInvocationDetails invocationDetails) {}

         public void apply(Project project) {
         }
     }

Since:
  5.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getBuildStartedTime()`
  The wall-clock time in millis that the build was started.

- ## Method Details

  - ### getBuildStartedTime

    long getBuildStartedTime()
    The wall-clock time in millis that the build was started. The build is considered to have started as soon as the user, or some tool, initiated the build. During continuous build, subsequent builds are timed from when changes are noticed.